| Home | Libraries | People | FAQ | More

#### error

Error codes returned by JSON operations.

##### Synopsis

Defined in header `<boost/json/error.hpp>`

    enum error

##### Values

Name | Description
--- | ---
`syntax` | syntax error
`extra_data` | extra data
`incomplete` | incomplete JSON
`exponent_overflow` | exponent too large
`too_deep` | too deep
`illegal_leading_surrogate` | illegal leading surrogate
`illegal_trailing_surrogate` | illegal trailing surrogate
`expected_hex_digit` | expected hex digit
`expected_utf16_escape` | expected utf16 escape
`object_too_large` | An object contains too many elements.
`array_too_large` | An array contains too many elements.
`key_too_large` | A key is too large.
`string_too_large` | A string is too large.
`exception` | The parser encountered an exception and must be reset.
`not_number` | not a number
`not_exact` | number cast is not exact
`test_failure` | test failure

Convenience header `<boost/json.hpp>`